#!/bin/bash

#if [ "$USER" == "root" ]; then
if [ "$(id -u)" -eq 0 ] ; then
        echo "ERROR: Don't run the script as root or via sudo."
        echo "       Simply invoke it with your regular user."
        exit 1
fi

#get package version
#set +e
#ver=`dpkg-query -W -f='${Version}\n'  kylin-kmre-manager`
#set -e

archType=$(arch)
if [ "$archType" = "x86_64" ]; then
	echo "platform: x86_64"
	pkexec dpkg -P kmre kylin-kmre-daemon kylin-kmre-display-control kylin-kmre-manager kylin-kmre-window libkylin-kmre libkylin-kmre-emugl peony-vfs-kylin-kmre kylin-kmre-image-data-x64 kylin-kmre-image-update-x64 kmre-apk-installer
elif [ "$archType" = "aarch64" ]; then
	echo "platform: aarch64"
	pkexec dpkg -P kmre kylin-kmre-daemon kylin-kmre-display-control kylin-kmre-manager kylin-kmre-window libkylin-kmre libkylin-kmre-emugl libkylin-kmre-emugl-ft1500 peony-vfs-kylin-kmre kylin-kmre-image-data kylin-kmre-image-update kmre-apk-installer kylin-kmre-image-update-kunpeng920
else
	exit 0
fi
